### Name: envelope
### Title: Simulation envelopes of summary function
### Aliases: envelope
### Keywords: spatial

### ** Examples

 X <- rpoispp(42)

 # Envelope of K function under CSR
 ## Not run: 
##D  plot(envelope(X))
##D  
## End(Not run)
 ## Don't show:
  plot(envelope(X, nsim=5))
 
## End Don't show

 # Translation edge correction (this is also FASTER):
 ## Not run: 
##D  plot(envelope(X, correction="translate"))
##D  
## End(Not run)
 ## Don't show:
  plot(envelope(X, nsim=5, correction="translate"))
 
## End Don't show

 # Envelope of K function for simulations from model 
 data(cells)
 fit <- ppm(cells, ~1, Strauss(0.05))
 ## Not run: 
##D  plot(envelope(fit))
##D  
## End(Not run)
 ## Don't show:
  plot(envelope(fit, nsim=4))
 
## End Don't show

 # Envelope of G function under CSR
 ## Not run: 
##D  plot(envelope(X, Gest))
##D  
## End(Not run)
 ## Don't show:
  plot(envelope(X, Gest, nsim=5))
 
## End Don't show
 



